2

I am trying to run saga tool however I always received errors.

I am using Ubuntu Xenial Xerus (16.04), Qgis 2.14.6 and Saga 2.2.7.

Log (OGR) error: 2016-09-07T15:22:28 1 Data source is invalid ()

See images of errors: enter image description here

Log (Processing) Error:
Error: input file [/tmp/processing25e6c401b76f41efb6bb44365b964fdf/4ee2c30104ca4cf39033d19cdb51167e/srtmriachosantanaSIRGAS200023S.sgrd]
            Error: DEM
            ____________________________

            #####   ##   #####    ##
            ###     ###  ##       ###
            ###   # ## ##  #### # ##
            ### ##### ##    # #####
            ##### #   ##  ##### #   ##
            ____________________________

            SAGA Version: 2.2.7

            ____________________________
            library path: /usr/lib/x86_64-linux-gnu/saga/
            library name: libta_preprocessor
            library     : Preprocessing
            tool        : Fill Sinks XXL (Wang & Liu)
            author      : Copyrights (c) 2007 by Volker Wichmann
            processors  : 8 [8]
            ____________________________

            Load grid: /tmp/processing25e6c401b76f41efb6bb44365b964fdf/4ee2c30104ca4cf39033d19cdb51167e/srtmriachosantanaSIRGAS200023S.sgrd...
            failed

            Usage: saga_cmd ta_preprocessor 5 [-ELEV <str>] [-FILLED <str>] [-MINSLOPE <double>]
            -ELEV:<str>         DEM
            Grid (input)
            -FILLED:<str>       Filled DEM
            Grid (output)
            -MINSLOPE:<double>  Minimum Slope [Degree]
            Floating point
            Minimum: 0.000000
            Default: 0.100000
2016-09-07T15:22:28 2   Error loading result layer:
            Traceback (most recent call last):
              File "/usr/share/qgis/python/plugins/processing/gui/Postprocessing.py", line 76, in handleAlgorithmResults
                out.name))
              File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 199, in load
                + '\nCheck the processing framework log to look for errors')
            RuntimeError: Could not load layer: /tmp/processing25e6c401b76f41efb6bb44365b964fdf/b5e9bd717ed34b15a08ebaf91e8bee8b/FILLED.sdat
            Check the processing framework log to look for errors
  • Did you try directly with SAGA-GIS (Terrain analysis->Hydrology->flow accumulation->top down). Just to know if the issue resides in SAGA or QGIS. I did try the same with one of my tiff rasters and it worked in SAGA but not in qgis (on manjaro). Using saga might thus be a work around. – Victor Sep 9 '16 at 10:00
0

Saga version 2.2.7 is not supported. Please compile the 2.2.3 downloading the code from here https://sourceforge.net/projects/saga-gis/files/SAGA%20-%202.2/SAGA%202.2.3/. Do not install from software center (there is 2.2.7 version)

  • It seems to be a bit more complicated. I managed to run SAGA 2.3.1 vector algs in the processing toolbox on Ubuntu 16.10 (no ubuntugis involved), and SAGA 2.2.7 from ubuntugis on Ubuntu 16.04 as well. But I don't know why it works for me and not for others. – AndreJ Jan 23 '17 at 18:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.